Uses of Class
org.bremersee.keycloak.api.model.WorkflowRepresentation
Packages that use WorkflowRepresentation
-
Uses of WorkflowRepresentation in org.bremersee.keycloak.api.model
Methods in org.bremersee.keycloak.api.model that return WorkflowRepresentationModifier and TypeMethodDescriptionWorkflowRepresentation.addStepsItem(WorkflowStepRepresentation stepsItem) WorkflowRepresentation.cancelInProgress(String cancelInProgress) WorkflowRepresentation.concurrency(WorkflowConcurrencyRepresentation concurrency) WorkflowRepresentation.putWithItem(String key, List<String> withItem) WorkflowRepresentation.restartInProgress(String restartInProgress) WorkflowRepresentation.schedule(WorkflowScheduleRepresentation schedule) WorkflowRepresentation.state(WorkflowStateRepresentation state) WorkflowRepresentation.steps(List<@Valid WorkflowStepRepresentation> steps) -
Uses of WorkflowRepresentation in org.bremersee.keycloak.api.webflux
Methods in org.bremersee.keycloak.api.webflux that return types with arguments of type WorkflowRepresentationModifier and TypeMethodDescriptionreactor.core.publisher.Mono<WorkflowRepresentation> AdminApi.adminRealmsRealmWorkflowsGet(String realm, @Valid Boolean exact, @Valid Integer first, @Valid Integer max, @Valid String search) GET /admin/realms/{realm}/workflows : List workflows List workflows filtered by name and paginated using first and max parameters.reactor.core.publisher.Mono<WorkflowRepresentation> AdminApiMock.adminRealmsRealmWorkflowsGet(String realm, @Nullable @Valid Boolean exact, @Nullable @Valid Integer first, @Nullable @Valid Integer max, @Nullable @Valid String search) reactor.core.publisher.Mono<WorkflowRepresentation> AdminApi.adminRealmsRealmWorkflowsIdGet(String realm, String id, @Valid Boolean includeId) GET /admin/realms/{realm}/workflows/{id} : Get workflow Get the workflow representation.reactor.core.publisher.Mono<WorkflowRepresentation> AdminApiMock.adminRealmsRealmWorkflowsIdGet(String realm, String id, @Nullable @Valid Boolean includeId) reactor.core.publisher.Mono<WorkflowRepresentation> AdminApi.adminRealmsRealmWorkflowsScheduledResourceIdGet(String realm, String resourceId) GET /admin/realms/{realm}/workflows/scheduled/{resource-id} : List scheduled workflows for resource Return workflows that have scheduled steps for the given resource identifier.reactor.core.publisher.Mono<WorkflowRepresentation> AdminApiMock.adminRealmsRealmWorkflowsScheduledResourceIdGet(String realm, String resourceId) Method parameters in org.bremersee.keycloak.api.webflux with type arguments of type WorkflowRepresentationModifier and TypeMethodDescriptionreactor.core.publisher.Mono<Void> AdminApi.adminRealmsRealmWorkflowsIdPut(String realm, String id, @Valid reactor.core.publisher.Mono<WorkflowRepresentation> workflowRepresentation) PUT /admin/realms/{realm}/workflows/{id} : Update workflow Update the workflow configuration.reactor.core.publisher.Mono<Void> AdminApiMock.adminRealmsRealmWorkflowsIdPut(String realm, String id, @Valid reactor.core.publisher.Mono<WorkflowRepresentation> workflowRepresentation) reactor.core.publisher.Mono<Void> AdminApi.adminRealmsRealmWorkflowsPost(String realm, @Valid reactor.core.publisher.Mono<WorkflowRepresentation> workflowRepresentation) POST /admin/realms/{realm}/workflows : Create workflow Create a new workflow from the provided representation.reactor.core.publisher.Mono<Void> AdminApiMock.adminRealmsRealmWorkflowsPost(String realm, @Valid reactor.core.publisher.Mono<WorkflowRepresentation> workflowRepresentation)